%define debug_package %{nil}

%define gitdate 20090828
%define gitcommit 349dba602015e07
Summary: C#/.NET bindings to Clutter
Name: clutter-sharp
Version: 0
Release: 0.11.%{gitdate}%{?dist}
URL: http://www.clutter-project.org
Source0: %{name}-%{gitdate}.tar.bz2
# based on libdrm's make-git-snapshot.sh 
# sh clutter-sharp-make-git-snapshot.sh <gitcommit> <gitdate>
Source1: clutter-sharp-make-git-snapshot.sh
Patch0: clutter-sharp-20090828-clutter-gtk.patch
Patch1: clutter-sharp-20090828-initialization-fix.patch
License: MIT
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf
BuildRequires: automake, libtool
BuildRequires: mono-devel
BuildRequires: gtk-sharp2-devel
BuildRequires: clutter-devel
BuildRequires: monodoc-devel
BuildRequires: gtk-sharp2-gapi
Requires: gtk-sharp2-gapi
Requires: clutter
BuildRequires: clutter-gtk-devel 
Requires: clutter-gtk

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

%description
Clutter-sharp offers C#/.NET bindings to Clutter

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: pkgconfig
Requires: monodoc

%description devel
This package contains the development files for the C#/.NET bindings
to clutter.

%prep
%setup -q -n %{name}-%{gitdate}
%patch0 -p1 -b clutter-gtk-fix
%patch1 -p1 -b init-fix

sed -i -e 's!$(prefix)/lib!%{_libdir}/!' glib/Makefile.am
sed -i -e 's!$(prefix)/lib!%{_libdir}/!' clutter/Makefile.am
sed -i -e 's!$(prefix)/lib!%{_libdir}/!' build/assembly.mk
sed -i -e 's!libdir=${exec_prefix}/lib!libdir=%{_libdir}!' clutter/clutter-sharp.pc.in
sed -i -e 's!libdir=${exec_prefix}/lib!libdir=%{_libdir}!' clutter-gtk/clutter-gtk-sharp.pc.in

%build
./autogen.sh
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/clutter-sharp/
%{_datadir}/gapi-2.0/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/clutter-sharp.pc
%{_libdir}/pkgconfig/clutter-gtk-sharp.pc
%{_libdir}/monodoc/sources/*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.20090828
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Dan Horák <dan[at]danny.cz> - 0-0.10.20090828
- updated the supported arch list

* Sun Oct 31 2010 Christian Krause <chkr@fedoraproject.org> - 0-0.9.20090828
- Rebuilt for Mono 2.8
- Add two compile fix patches

* Wed Aug 18 2010 Christian Krause <chkr@fedoraproject.org> - 0-0.8.20090828
- Fix libdir path in %%{_libdir}/pkgconfig/*.pc

* Tue Jun 15 2010 Christian Krause <chkr@fedoraproject.org> - 0-0.7.20090828
- Enable clutter-gtk support (BZ 570605)

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0-0.6.20090828
- ExcludeArch sparc64

* Fri Sep 25 2009 Christian Krause <chkr@fedoraproject.org> - 0-0.5.20090828
- Fix some spelling mistakes
- Correct email address

* Wed Sep 16 2009 Christian Krause <chkr@fedoraproject.org> - 0-0.4.20090828
- Add Requires: clutter since it is not picked up automatically
- Add comments about clutter-gtk support in the future
- Exclude clutter-gtk-sharp pkgconfig file for now
- Fix description and summary of devel package

* Fri Aug 28 2009 Christian Krause <chkr@fedoraproject.org> - 0-0.3.20090828
- Fix %%defattr usage
- Use %%{buildroot} consistently

* Fri Aug 28 2009 Christian Krause <chkr@fedoraproject.org> - 0-0.2.20090828
- Enhance git snapshot script to retrieve a specific revision

* Thu Aug 27 2009 Christian Krause <chkr@fedoraproject.org> - 0-0.1.20090827
- Initial spec file for clutter-sharp

